Bug 139340 - New port -- x11-fonts/gentium-basic
New port -- x11-fonts/gentium-basic
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-03 19:40 UTC by m.seaman
Modified: 2009-12-07 08:40 UTC (History)
0 users

See Also:


Attachments
gentium-basic.diff (10.69 KB, patch)
2009-10-03 19:40 UTC, m.seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.seaman 2009-10-03 19:40:01 UTC
I had originally intend this as an update to x11-fonts/gentium, but on
reflection I'd like to make it a new port and leave the original
x11-fonts/gentium as is.  Can I request a repo-copy of
x11-fonts/gentium to x11-fonts/gentium-basic and then apply the patch
attached to this PR?  (A shar of the new port can be supplied on
demand, if that is preferred.)

Rationale:

Gentium Basic and Gentium Book Basic are a new packaging of the original
SIL Gentium font, with a number of changes.  The principal differences are:

   * Gentium Basic and Gentium Book Basic is supplied in regular, bold,
     italic and bold-italic faces, whereas Gentium only contains regular
     and italic faces.

   * Gentium Basic and Gentium Book Basic support the following
     character sets:
         ascii-0 iso10646-1 iso8859-1 iso8859-15 iso8859-9
      -- basic Latin scripts and common diacritical marks.  Original
      Gentium also supports:
         fcd8859-15 iso8859-10 iso8859-2 iso8859-3 iso8859-4 iso8859-7
      ie. also including support for Greek and Cyrillic scripts.

For other differences please see: 

   http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&item_id=Gentium_basic
Comment 1 pav freebsd_committer 2009-12-03 09:08:32 UTC
State Changed
From-To: open->repocopy

x11-fonts/gentium -> x11-fonts/gentium-basic 


Comment 2 pav freebsd_committer 2009-12-03 09:08:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

x11-fonts/gentium -> x11-fonts/gentium-basic
Comment 3 Joe Marcus Clarke freebsd_committer 2009-12-07 07:54:04 UTC
State Changed
From-To: repocopy->open

Repocopy complete. 


Comment 4 Joe Marcus Clarke freebsd_committer 2009-12-07 07:54:04 UTC
Responsible Changed
From-To: portmgr->pav

Repocopy complete.
Comment 5 pav freebsd_committer 2009-12-07 08:32:01 UTC
State Changed
From-To: open->closed

New port added, thank you!
Comment 6 dfilter freebsd_committer 2009-12-07 08:37:13 UTC
pav         2009-12-07 08:36:58 UTC

  FreeBSD ports repository

  Modified files:
    x11-fonts            Makefile 
    x11-fonts/gentium-basic Makefile distinfo pkg-plist 
    x11-fonts/gentium-basic/files fonts.dir pkg-message.in 
  Log:
  Gentium is a typeface family designed to enable the diverse ethnic
  groups around the world who use the Latin script to produce readable,
  high-quality publications. It supports a wide range of Latin-based
  alphabets and includes glyphs that correspond to all the Latin ranges
  of Unicode.
  
  WWW: http://scripts.sil.org/gentium
  
  PR:             ports/139340
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk>
  
  Revision  Changes    Path
  1.109     +1 -0      ports/x11-fonts/Makefile
  1.8       +9 -17     ports/x11-fonts/gentium-basic/Makefile
  1.4       +3 -3      ports/x11-fonts/gentium-basic/distinfo
  1.3       +41 -45    ports/x11-fonts/gentium-basic/files/fonts.dir
  1.5       +0 -5      ports/x11-fonts/gentium-basic/files/pkg-message.in
  1.6       +12 -15    ports/x11-fonts/gentium-basic/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"